<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <ImageView
            android:layout_width="450dp"
            android:layout_height="204dp"
            android:background="@drawable/custom_bg"
            android:scaleType="centerCrop" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/white"
            android:orientation="vertical"
            android:padding="15dp">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="10dp"
                android:text="@string/update_title"
                android:textColor="@android:color/black"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/tv_msg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/updatecontent"
                android:textColor="#666"
                android:textSize="18sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <FrameLayout
                    android:id="@+id/cancel_btn"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_marginEnd="15dp"
                    android:layout_height="wrap_content">

                    <Button
                        android:id="@id/versionchecklib_version_dialog_cancel"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:layout_marginTop="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/shape_corner_plain"
                        android:text="取消"
                        android:textSize="20sp"
                        android:textColor="@color/gray" />
                </FrameLayout>

                <Button
                    android:id="@id/versionchecklib_version_dialog_commit"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_corner"
                    android:text="立即升级"
                    android:textSize="20sp"
                    android:textColor="@android:color/white" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>